Loading...
Searching...
No Matches
geo_domain_indirect_base_rep< T, M >

## Detailed Description

template<class T, class M>
class rheolef::geo_domain_indirect_base_rep< T, M >

Definition at line 64 of file geo_domain_indirect.h.

Inheritance diagram for geo_domain_indirect_base_rep< T, M >:

## Public Types

typedef geo_abstract_rep< T, M > | base
typedef base::size_type | size_type
typedef base::node_type | node_type
typedef base::variant_type | variant_type
typedef base::const_reference | const_reference
typedef base::const_iterator | const_iterator
typedef base::const_iterator_by_variant | const_iterator_by_variant
typedef base::iterator_by_variant | iterator_by_variant
typedef base::coordinate_type | coordinate_type
typedef base::geo_element_map_type | geo_element_map_type

## Public Member Functions

| geo_domain_indirect_base_rep ()
| geo_domain_indirect_base_rep (const geo_domain_indirect_base_rep< T, M > &)
| geo_domain_indirect_base_rep (const domain_indirect_basic< M > &indirect, const geo_basic< T, M > &omega)
const domain_indirect_basic< M > & | get_indirect () const
const geo_basic< T, M > & | get_background_geo () const
size_type | variant () const
std::string | name () const
std::string | familyname () const
size_type | serial_number () const
size_type | dimension () const
size_type | map_dimension () const
bool | is_broken () const
coordinate_type | coordinate_system () const
const basis_basic< T > & | get_piola_basis () const
size_type | n_node () const
const node_type & | node (size_type inod) const
const disarray< node_type, M > & | get_nodes () const
const node_type & | xmin () const
const node_type & | xmax () const
const T & | hmin () const
const T & | hmax () const
const distributor & | geo_element_ownership (size_type dim) const
const_reference | get_geo_element (size_type dim, size_type ige) const
size_type | neighbour (size_type ie, size_type loc_iside) const
void | neighbour_guard () const
size_type | n_domain_indirect () const
bool | have_domain_indirect (const std::string &name) const
const domain_indirect_basic< M > & | get_domain_indirect (size_type i) const
const domain_indirect_basic< M > & | get_domain_indirect (const std::string &name) const
void | insert_domain_indirect (const domain_indirect_basic< M > &dom) const
const_iterator_by_variant | begin_by_variant (variant_type variant) const
const_iterator_by_variant | end_by_variant (variant_type variant) const
const geo_element_map_type & | get_external_geo_element_map (size_type variant) const
const node_type & | dis_node (size_type dis_inod) const
size_type | dis_inod2dis_iv (size_type dis_inod) const
void | dis_inod (const geo_element &K, std::vector< size_type > &dis_inod) const
const geo_size & | sizes () const
const geo_size & | ios_sizes () const
odiststream & | put (odiststream &ops) const
void | set_nodes (const disarray< node_type, M > &)
void | reset_order (size_type order)
bool | check (bool verbose) const
size_type | seq_locate (const point_basic< T > &x, size_type dis_ie_guest=std::numeric_limits< size_type >::max()) const
size_type | dis_locate (const point_basic< T > &x, size_type dis_ie_guest=std::numeric_limits< size_type >::max()) const
void | locate (const disarray< point_basic< T >, M > &x, disarray< size_type, M > &dis_ie, bool do_check=false) const
size_type | seq_trace_move (const point_basic< T > &x, const point_basic< T > &v, point_basic< T > &y) const
size_type | dis_trace_move (const point_basic< T > &x, const point_basic< T > &v, point_basic< T > &y) const
void | trace_move (const disarray< point_basic< T >, M > &x, const disarray< point_basic< T >, M > &v, disarray< size_type, M > &dis_ie, disarray< point_basic< T >, M > &y) const
void | trace_ray_boundary (const disarray< point_basic< T >, M > &x, const disarray< point_basic< T >, M > &v, disarray< size_type, M > &dis_ie, disarray< point_basic< T >, M > &y, bool do_check=false) const
size_type | seq_nearest (const point_basic< T > &x, point_basic< T > &x_nearest) const
size_type | dis_nearest (const point_basic< T > &x, point_basic< T > &x_nearest) const
void | nearest (const disarray< point_basic< T >, M > &x, disarray< point_basic< T >, M > &x_nearest, disarray< size_type, M > &dis_ie) const

## Protected Attributes

domain_indirect_basic< M > | _indirect
geo_basic< T, M > | _omega

## Member Typedef Documentation

## base

template<class T , class M >

typedef geo_abstract_rep<T,M> base

Definition at line 67 of file geo_domain_indirect.h.

## size_type

template<class T , class M >

typedef base::size_type size_type

Definition at line 68 of file geo_domain_indirect.h.

## node_type

template<class T , class M >

typedef base::node_type node_type

Definition at line 69 of file geo_domain_indirect.h.

## variant_type

template<class T , class M >

typedef base::variant_type variant_type

Definition at line 70 of file geo_domain_indirect.h.

## const_reference

template<class T , class M >

typedef base::const_reference const_reference

Definition at line 71 of file geo_domain_indirect.h.

## const_iterator

template<class T , class M >

typedef base::const_iterator const_iterator

Definition at line 72 of file geo_domain_indirect.h.

## const_iterator_by_variant

template<class T , class M >

typedef base::const_iterator_by_variant const_iterator_by_variant

Definition at line 73 of file geo_domain_indirect.h.

## iterator_by_variant

template<class T , class M >

typedef base::iterator_by_variant iterator_by_variant

Definition at line 74 of file geo_domain_indirect.h.

## coordinate_type

template<class T , class M >

typedef base::coordinate_type coordinate_type

Definition at line 75 of file geo_domain_indirect.h.

## geo_element_map_type

template<class T , class M >

typedef base::geo_element_map_type geo_element_map_type

Definition at line 76 of file geo_domain_indirect.h.

## Constructor & Destructor Documentation

## geo_domain_indirect_base_rep() [1/3]

template<class T , class M >

geo_domain_indirect_base_rep | ( |  | ) |

Definition at line 181 of file geo_domain_indirect.h.

## geo_domain_indirect_base_rep() [2/3]

template<class T , class M >

geo_domain_indirect_base_rep | ( | const geo_domain_indirect_base_rep< T, M > & | dom | ) |

Definition at line 189 of file geo_domain_indirect.h.

## geo_domain_indirect_base_rep() [3/3]

template<class T , class M >

geo_domain_indirect_base_rep | ( | const domain_indirect_basic< M > & | indirect,
|  | const geo_basic< T, M > & | omega
| ) |  |

Definition at line 198 of file geo_domain_indirect.h.

## Member Function Documentation

## get_indirect()

template<class T , class M >

const domain_indirect_basic< M > & get_indirect | ( |  | ) | const

Definition at line 86 of file geo_domain_indirect.h.

## get_background_geo()

template<class T , class M >

const geo_basic< T, M > & get_background_geo | ( |  | ) | const

Definition at line 87 of file geo_domain_indirect.h.

## variant()

template<class T , class M >

size_type variant | ( |  | ) | const

Definition at line 91 of file geo_domain_indirect.h.

## name()

template<class T , class M >

std::string name | ( |  | ) | const

Definition at line 92 of file geo_domain_indirect.h.

## familyname()

template<class T , class M >

std::string familyname | ( |  | ) | const

Definition at line 93 of file geo_domain_indirect.h.

## serial_number()

template<class T , class M >

size_type serial_number | ( |  | ) | const

Definition at line 94 of file geo_domain_indirect.h.

## dimension()

template<class T , class M >

size_type dimension | ( |  | ) | const

Definition at line 95 of file geo_domain_indirect.h.

## map_dimension()

template<class T , class M >

size_type map_dimension | ( |  | ) | const

Definition at line 96 of file geo_domain_indirect.h.

## is_broken()

template<class T , class M >

bool is_broken | ( |  | ) | const

Definition at line 97 of file geo_domain_indirect.h.

## coordinate_system()

template<class T , class M >

coordinate_type coordinate_system | ( |  | ) | const

Definition at line 98 of file geo_domain_indirect.h.

## get_piola_basis()

template<class T , class M >

const basis_basic< T > & get_piola_basis | ( |  | ) | const

Definition at line 99 of file geo_domain_indirect.h.

## n_node()

template<class T , class M >

size_type n_node | ( |  | ) | const

Definition at line 101 of file geo_domain_indirect.h.

## node()

template<class T , class M >

const node_type & node | ( | size_type | inod | ) | const

Definition at line 102 of file geo_domain_indirect.h.

## get_nodes()

template<class T , class M >

const disarray< node_type, M > & get_nodes | ( |  | ) | const

Definition at line 103 of file geo_domain_indirect.h.

## xmin()

template<class T , class M >

const node_type & xmin | ( |  | ) | const

Definition at line 104 of file geo_domain_indirect.h.

## xmax()

template<class T , class M >

const node_type & xmax | ( |  | ) | const

Definition at line 105 of file geo_domain_indirect.h.

## hmin()

template<class T , class M >

const T & hmin | ( |  | ) | const

Definition at line 106 of file geo_domain_indirect.h.

## hmax()

template<class T , class M >

const T & hmax | ( |  | ) | const

Definition at line 107 of file geo_domain_indirect.h.

## geo_element_ownership()

template<class T , class M >

const distributor & geo_element_ownership | ( | size_type | dim | ) | const

Definition at line 27 of file geo_domain_indirect_seq.cc.

## get_geo_element()

template<class T , class M >

geo_domain_indirect_base_rep< T, M >::const_reference get_geo_element | ( | size_type | dim,
|  | size_type | ige
| ) |  | const

Definition at line 35 of file geo_domain_indirect_seq.cc.

## neighbour()

template<class T , class M >

geo_domain_indirect_base_rep< T, M >::size_type neighbour | ( | size_type | ie,
|  | size_type | loc_iside
| ) |  | const

Definition at line 245 of file geo_domain_indirect_seq.cc.

## neighbour_guard()

template<class T , class M >

void neighbour_guard | ( |  | ) | const

Definition at line 252 of file geo_domain_indirect_seq.cc.

## n_domain_indirect()

template<class T , class M >

geo_domain_indirect_base_rep< T, M >::size_type n_domain_indirect | ( |  | ) | const

Definition at line 66 of file geo_domain_indirect_seq.cc.

## have_domain_indirect()

template<class T , class M >

bool have_domain_indirect | ( | const std::string & | name | ) | const

Definition at line 72 of file geo_domain_indirect_seq.cc.

## get_domain_indirect() [1/2]

template<class T , class M >

const domain_indirect_basic< M > & get_domain_indirect | ( | size_type | i | ) | const

Definition at line 78 of file geo_domain_indirect_seq.cc.

## get_domain_indirect() [2/2]

template<class T , class M >

const domain_indirect_basic< M > & get_domain_indirect | ( | const std::string & | name | ) | const

Definition at line 85 of file geo_domain_indirect_seq.cc.

## insert_domain_indirect()

template<class T , class M >

void insert_domain_indirect | ( | const domain_indirect_basic< M > & | dom | ) | const

Definition at line 92 of file geo_domain_indirect_seq.cc.

## begin_by_variant()

template<class T , class M >

geo_domain_indirect_base_rep< T, M >::const_iterator_by_variant begin_by_variant | ( | variant_type | variant | ) | const

Definition at line 42 of file geo_domain_indirect_seq.cc.

## end_by_variant()

template<class T , class M >

geo_domain_indirect_base_rep< T, M >::const_iterator_by_variant end_by_variant | ( | variant_type | variant | ) | const

Definition at line 50 of file geo_domain_indirect_seq.cc.

## get_external_geo_element_map()

template<class T , class M >

const geo_domain_indirect_base_rep< T, M >::geo_element_map_type & get_external_geo_element_map | ( | size_type | variant | ) | const

Definition at line 58 of file geo_domain_indirect_seq.cc.

## dis_node()

template<class T , class M >

const geo_domain_indirect_base_rep< T, M >::node_type & dis_node | ( | size_type | dis_inod | ) | const

Definition at line 118 of file geo_domain_indirect_seq.cc.

## dis_inod2dis_iv()

template<class T , class M >

geo_domain_indirect_base_rep< T, M >::size_type dis_inod2dis_iv | ( | size_type | dis_inod | ) | const

Definition at line 130 of file geo_domain_indirect_seq.cc.

## dis_inod()

template<class T , class M >

void dis_inod | ( | const geo_element & | K,
|  | std::vector< size_type > & | dis_inod
| ) |  | const

Definition at line 124 of file geo_domain_indirect_seq.cc.

## sizes()

template<class T , class M >

const geo_size & sizes | ( |  | ) | const

Definition at line 105 of file geo_domain_indirect_seq.cc.

## ios_sizes()

template<class T , class M >

const geo_size & ios_sizes | ( |  | ) | const

Definition at line 111 of file geo_domain_indirect_seq.cc.

## put()

template<class T , class M >

odiststream & put | ( | odiststream & | ops | ) | const

Definition at line 98 of file geo_domain_indirect_seq.cc.

## set_nodes()

template<class T , class M >

void set_nodes | ( | const disarray< node_type, M > & |  | ) |

Definition at line 136 of file geo_domain_indirect_seq.cc.

## reset_order()

template<class T , class M >

void reset_order | ( | size_type | order | ) |

Definition at line 148 of file geo_domain_indirect_seq.cc.

## check()

template<class T , class M >

bool check | ( | bool | verbose | ) | const

Definition at line 142 of file geo_domain_indirect_seq.cc.

## seq_locate()

template<class T , class M >

geo_domain_indirect_base_rep< T, M >::size_type seq_locate | ( | const point_basic< T > & | x,
|  | size_type | dis_ie_guest = `std::numeric_limits<size_type>::max()`
| ) |  | const

Definition at line 154 of file geo_domain_indirect_seq.cc.

## dis_locate()

template<class T , class M >

geo_domain_indirect_base_rep< T, M >::size_type dis_locate | ( | const point_basic< T > & | x,
|  | size_type | dis_ie_guest = `std::numeric_limits<size_type>::max()`
| ) |  | const

Definition at line 161 of file geo_domain_indirect_seq.cc.

## locate()

template<class T , class M >

void locate | ( | const disarray< point_basic< T >, M > & | x,
|  | disarray< size_type, M > & | dis_ie,
|  | bool | do_check = `false`
| ) |  | const

Definition at line 188 of file geo_domain_indirect_seq.cc.

## seq_trace_move()

template<class T , class M >

geo_domain_indirect_base_rep< T, M >::size_type seq_trace_move | ( | const point_basic< T > & | x,
|  | const point_basic< T > & | v,
|  | point_basic< T > & | y
| ) |  | const

Definition at line 168 of file geo_domain_indirect_seq.cc.

## dis_trace_move()

template<class T , class M >

geo_domain_indirect_base_rep< T, M >::size_type dis_trace_move | ( | const point_basic< T > & | x,
|  | const point_basic< T > & | v,
|  | point_basic< T > & | y
| ) |  | const

Definition at line 178 of file geo_domain_indirect_seq.cc.

## trace_move()

template<class T , class M >

void trace_move | ( | const disarray< point_basic< T >, M > & | x,
|  | const disarray< point_basic< T >, M > & | v,
|  | disarray< size_type, M > & | dis_ie,
|  | disarray< point_basic< T >, M > & | y
| ) |  | const

Definition at line 208 of file geo_domain_indirect_seq.cc.

## trace_ray_boundary()

template<class T , class M >

void trace_ray_boundary | ( | const disarray< point_basic< T >, M > & | x,
|  | const disarray< point_basic< T >, M > & | v,
|  | disarray< size_type, M > & | dis_ie,
|  | disarray< point_basic< T >, M > & | y,
|  | bool | do_check = `false`
| ) |  | const

Definition at line 197 of file geo_domain_indirect_seq.cc.

## seq_nearest()

template<class T , class M >

geo_domain_indirect_base_rep< T, M >::size_type seq_nearest | ( | const point_basic< T > & | x,
|  | point_basic< T > & | x_nearest
| ) |  | const

Definition at line 218 of file geo_domain_indirect_seq.cc.

## dis_nearest()

template<class T , class M >

geo_domain_indirect_base_rep< T, M >::size_type dis_nearest | ( | const point_basic< T > & | x,
|  | point_basic< T > & | x_nearest
| ) |  | const

Definition at line 227 of file geo_domain_indirect_seq.cc.

## nearest()

template<class T , class M >

void nearest | ( | const disarray< point_basic< T >, M > & | x,
|  | disarray< point_basic< T >, M > & | x_nearest,
|  | disarray< size_type, M > & | dis_ie
| ) |  | const

Definition at line 236 of file geo_domain_indirect_seq.cc.

## Member Data Documentation

## _indirect

template<class T , class M >

domain_indirect_basic<M> _indirect

protected

Definition at line 176 of file geo_domain_indirect.h.

## _omega

template<class T , class M >

geo_basic<T,M> _omega

protected

Definition at line 177 of file geo_domain_indirect.h.

The documentation for this class was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/geo_domain_indirect.h
- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/geo_domain_indirect_seq.cc